Subject: Re: [Simple] MSRP v10 "msrp/tcp" <> MSRP v11 "TCP/MSRP"

From: Cullen Jennings <[email-masked]>
Date: Fri, 21 Oct 2005 21:52:56 -0700

The short answer is a long and very education for the authors of the draft
phone call with the mmusic chair resulted in us putting exactly what they
recommended. The longer answer is this is really consistent with all the
other SDP drafts - particularly the floor control stuff.

On 8/17/05 1:58 AM, "Ignacio Mas Ivars" <[email-masked]>
wrote:

> 
> Hi!
> 
> There has been a change between version 10 and version 11 of the MSRP
> draft regarding how the protocol field of the m line in the SDP
> description is written. Version 10 says:
> 
>  An offered or accepted media-line for MSRP over TCP MUST include a
>    protocol field value of "msrp/tcp".  The media field value MUST be
>    "message".  The format list field MUST be set to "*".
> 
> 
> while version 11 changes the field to:
> 
>  An offered or accepted media-line for MSRP over TCP MUST include a
>    protocol field value of "TCP/MSRP", or "TCP/TLS/MSRP" for TLS.  The
>    media field value MUST be "message".  The format list field MUST be
>    set to "*".
> 
> Is there any particular reason for the change in order? I don't have any
> strong opinion about the change, but it requieres modifying existing
> prototype implementations and I just wonder if the reason was more
> cosmetic than anything else.
> 
> Thanks!
> /Ignacio

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple